## org.eclipse.m2m.atl.dsls.tcs.injector
Class TCSRuntime.RefSetting

    java.lang.Object
      org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime.RefSetting

Enclosing class:
  TCSRuntime

    protected class TCSRuntime.RefSetting

extends java.lang.Object

Field Summary
`protected boolean` `importContext`

Constructor Summary
`TCSRuntime.RefSetting(TCSRuntime.Context currentContext, java.lang.Object object, java.lang.String propertyName, java.lang.String valueTypeName, java.lang.String keyName, java.lang.Object keyValue, java.lang.String lookIn, java.lang.String autoCreate, java.lang.String createAs, boolean importContext, java.lang.String createIn, java.lang.Object token)`

Method Summary
`void` `doIt()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### importContext

    protected boolean importContext

Constructor Detail

### TCSRuntime.RefSetting

    public TCSRuntime.RefSetting(TCSRuntime.Context currentContext,
                                 java.lang.Object object,
                                 java.lang.String propertyName,
                                 java.lang.String valueTypeName,
                                 java.lang.String keyName,
                                 java.lang.Object keyValue,
                                 java.lang.String lookIn,
                                 java.lang.String autoCreate,
                                 java.lang.String createAs,
                                 boolean importContext,
                                 java.lang.String createIn,
                                 java.lang.Object token)

Method Detail

### doIt

    public void doIt()

Copyright 2007 IBM Corporation and others. All Rights Reserved.